Subscribe a webhook URL
curl --request POST \
--url https://api.vendschat.com/v1/integrations/webhooks/subscribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://hooks.zapier.com/hooks/catch/000/xxx/",
"events": [
"incoming.vendschat.messages"
],
"source": "zapier",
"name": "Zapier: inbound messages",
"payload_style": "thin"
}
'import requests
url = "https://api.vendschat.com/v1/integrations/webhooks/subscribe"
payload = {
"url": "https://hooks.zapier.com/hooks/catch/000/xxx/",
"events": ["incoming.vendschat.messages"],
"source": "zapier",
"name": "Zapier: inbound messages",
"payload_style": "thin"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://hooks.zapier.com/hooks/catch/000/xxx/',
events: ['incoming.vendschat.messages'],
source: 'zapier',
name: 'Zapier: inbound messages',
payload_style: 'thin'
})
};
fetch('https://api.vendschat.com/v1/integrations/webhooks/subscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vendschat.com/v1/integrations/webhooks/subscribe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://hooks.zapier.com/hooks/catch/000/xxx/',
'events' => [
'incoming.vendschat.messages'
],
'source' => 'zapier',
'name' => 'Zapier: inbound messages',
'payload_style' => 'thin'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vendschat.com/v1/integrations/webhooks/subscribe"
payload := strings.NewReader("{\n \"url\": \"https://hooks.zapier.com/hooks/catch/000/xxx/\",\n \"events\": [\n \"incoming.vendschat.messages\"\n ],\n \"source\": \"zapier\",\n \"name\": \"Zapier: inbound messages\",\n \"payload_style\": \"thin\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vendschat.com/v1/integrations/webhooks/subscribe")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://hooks.zapier.com/hooks/catch/000/xxx/\",\n \"events\": [\n \"incoming.vendschat.messages\"\n ],\n \"source\": \"zapier\",\n \"name\": \"Zapier: inbound messages\",\n \"payload_style\": \"thin\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vendschat.com/v1/integrations/webhooks/subscribe")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://hooks.zapier.com/hooks/catch/000/xxx/\",\n \"events\": [\n \"incoming.vendschat.messages\"\n ],\n \"source\": \"zapier\",\n \"name\": \"Zapier: inbound messages\",\n \"payload_style\": \"thin\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"source": "<string>",
"events": [
"<string>"
],
"api_version": "<string>",
"payload_style": "<string>",
"is_active": true,
"signing_secret": "<string>"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Webhooks
Subscribe a webhook URL
Returns signing_secret once — store it securely.
POST
/
integrations
/
webhooks
/
subscribe
Subscribe a webhook URL
curl --request POST \
--url https://api.vendschat.com/v1/integrations/webhooks/subscribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://hooks.zapier.com/hooks/catch/000/xxx/",
"events": [
"incoming.vendschat.messages"
],
"source": "zapier",
"name": "Zapier: inbound messages",
"payload_style": "thin"
}
'import requests
url = "https://api.vendschat.com/v1/integrations/webhooks/subscribe"
payload = {
"url": "https://hooks.zapier.com/hooks/catch/000/xxx/",
"events": ["incoming.vendschat.messages"],
"source": "zapier",
"name": "Zapier: inbound messages",
"payload_style": "thin"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://hooks.zapier.com/hooks/catch/000/xxx/',
events: ['incoming.vendschat.messages'],
source: 'zapier',
name: 'Zapier: inbound messages',
payload_style: 'thin'
})
};
fetch('https://api.vendschat.com/v1/integrations/webhooks/subscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vendschat.com/v1/integrations/webhooks/subscribe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://hooks.zapier.com/hooks/catch/000/xxx/',
'events' => [
'incoming.vendschat.messages'
],
'source' => 'zapier',
'name' => 'Zapier: inbound messages',
'payload_style' => 'thin'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vendschat.com/v1/integrations/webhooks/subscribe"
payload := strings.NewReader("{\n \"url\": \"https://hooks.zapier.com/hooks/catch/000/xxx/\",\n \"events\": [\n \"incoming.vendschat.messages\"\n ],\n \"source\": \"zapier\",\n \"name\": \"Zapier: inbound messages\",\n \"payload_style\": \"thin\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vendschat.com/v1/integrations/webhooks/subscribe")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://hooks.zapier.com/hooks/catch/000/xxx/\",\n \"events\": [\n \"incoming.vendschat.messages\"\n ],\n \"source\": \"zapier\",\n \"name\": \"Zapier: inbound messages\",\n \"payload_style\": \"thin\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vendschat.com/v1/integrations/webhooks/subscribe")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://hooks.zapier.com/hooks/catch/000/xxx/\",\n \"events\": [\n \"incoming.vendschat.messages\"\n ],\n \"source\": \"zapier\",\n \"name\": \"Zapier: inbound messages\",\n \"payload_style\": \"thin\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"source": "<string>",
"events": [
"<string>"
],
"api_version": "<string>",
"payload_style": "<string>",
"is_active": true,
"signing_secret": "<string>"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
Authorization: Bearer YOUR_API_KEY
Body
application/json